# Record TCefMediaAccessCallback

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefMediaAccessCallback = record`

## Description

Callback structure used for asynchronous continuation of media access permission requests.

NOTE: This struct is allocated DLL-side.

Implemented by ICefMediaAccessCallback.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_permission_handler_capi.h">CEF source file: /include/capi/cef_permission_handler_capi.h (cef_media_access_callback_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `cont: procedure(self: PCefMediaAccessCallback; allowed_permissions: Cardinal); stdcall;`
| `cancel: procedure(self: PCefMediaAccessCallback); stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `cont: procedure(self: PCefMediaAccessCallback; allowed_permissions: Cardinal); stdcall;`
This item has no description.

| `cancel: procedure(self: PCefMediaAccessCallback); stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.